(* inputs a triangular mesh ... *)

infile = OpenRead["FK32.num"]
aux = ReadList[infile,Number,3]
Close[infile]
nnod = aux[[1]]
ntri = aux[[2]]
nedg = aux[[3]]

infile = OpenRead["FK32.tri"]
aux = ReadList[infile,Number, RecordLists -> True]
Close[infile]
inodtri = Transpose[Transpose[aux][[{1,2,3}]]] 

infile = OpenRead["FK32.xy"] (* start read xy coords *)

(* standard float input file *)
auxT = ReadList[infile,Number, RecordLists -> True]
aux = Transpose[auxT] 
xv = aux[[ 1 ]]
yv = aux[[ 2 ]]

(* aux = two-level list of expressions 
aux = ReadList[infile, Expression ]
coord = aux
xv = Table[ ToExpression[coord[[i, 1 ]]], {i,1,nnod} ]
yv = Table[ ToExpression[coord[[i, 2 ]]], {i,1,nnod} ]
*)

Close[infile] (* end read xy coords *)

xv = Rationalize[ xv ]
yv = Rationalize[ yv ]
Print["*** WARNING: xv and yv rationalized"]
(*  to avoid floats which produces   Simplify[ 0. x ] = 0. x !!!!!!! *)

infile = OpenRead["FK32.iside"]
aux = ReadList[infile,Number, RecordLists -> True]
Close[infile]
iside = Transpose[Transpose[aux][[{1,2}]]] 

infile = OpenRead["FK32.sidecnc"]
aux = ReadList[infile,Number, RecordLists -> True]
Close[infile]
sidecnc = Transpose[Transpose[aux][[{1,2,3}]]] 

infile = OpenRead["FK32.dir"]
aux = ReadList[infile,Number, RecordLists -> True]
Close[infile]
dirEdg = aux[[ 1 ]]
ndirEdg = Dimensions[ dirEdg ] 
ndirEdg = ndirEdg[[ 1 ]]
dirVal = aux[[ 2 ]]


